/**
 * SmartProxy Route Utilities
 *
 * This file exports all route-related utilities for the SmartProxy module,
 * including helpers, validators, utilities, and patterns for working with routes.
 */

// Export route helpers for creating route configurations
export * from './route-helpers.js';

// Export route validators for validating route configurations
export * from './route-validators.js';

// Export route utilities for route operations
export * from './route-utils.js';

// Export additional functions from route-helpers that weren't already exported
export {
  createApiGatewayRoute,
  addRateLimiting,
  addBasicAuth,
  addJwtAuth
} from './route-helpers.js';

// Migration utilities have been removed as they are no longer needed